<template>
  <svg xmlns="http://www.w3.org/2000/svg"
    :width="w"
    :height="h"
    :viewBox="vbx"
    :fill="clr"
    :aria-labelledby="name"
  >
    <title :id="name" lang="en">{{name}}</title>
    <component :is="name"/>
  </svg>
</template>
<script>
import { defineComponent } from "vue";

import GcLogo from "../assets/icons/GCLogo.vue";

export default defineComponent({
  components: {
    GcLogo,
  },
  name: "GcIcon",
  props: {
    w: { type: [Number, String], default: 18 },
    h: {type: [Number, String], default: 18 },
    vbx: { type: String, default: '0 0 128 128'},
    name: { type: String, default: ''},
    clr: {type: String, default: 'none'}
  }
});
</script>